gesture_handlers 0.0.1+2 copy "gesture_handlers: ^0.0.1+2" to clipboard
gesture_handlers: ^0.0.1+2 copied to clipboard

Gesture handlers Flutter project provide reusable gesture handler and interactive transitions between routes.

3
likes
80/ 140
pub points
44%
popularity

We analyzed this package 2 days ago, and awarded it 80 pub points (of a possible 140):

OK
Follow Dart file conventions
30 / 30trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

10/10 points: Use an OSI-approved license

Detected license: Apache-2.0.

partial
Provide documentation
10 / 20trigger folding of the section

0/10 points: 20% or more of the public API has dartdoc comments

36 out of 269 API elements (13.4 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

Some symbols that are missing documentation: gesture_handlers, gesture_handlers.AnimationControllerGestureMixin, gesture_handlers.AnimationControllerGestureMixin.controller, gesture_handlers.AnimationControllerGestureMixin.forwardProgress, gesture_handlers.AnimationControllerGestureMixin.lowerBound.

10/10 points: Package has an example

OK
Platform support
20 / 20trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, macOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ macOS
  • ✓ Web
failed
Pass static analysis
0 / 50trigger folding of the section

0/50 points: code has no errors, warnings, lints, or formatting issues

Found 13 issues. Showing the first 2:

ERROR: 'GestureRouteTransitionMixin.buildModalBarrier' ('Widget Function(BuildContext, bool)') isn't a valid override of 'ModalRoute.buildModalBarrier' ('Widget Function()').

lib/src/gesture_navigation/gesture_bottom_sheet.dart:11:66

   ╷
11 │ class GestureModalBottomSheetRoute<T> extends PopupRoute<T> with GestureRouteTransitionMixin<T> {
   │                                                                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/src/gesture_navigation/gesture_bottom_sheet.dart

ERROR: 'GestureRouteTransitionMixin.buildModalBarrier' ('Widget Function(BuildContext, bool)') isn't a valid override of 'ModalRoute.buildModalBarrier' ('Widget Function()').

lib/src/gesture_navigation/gesture_route_transition_mixin.dart:91:10

   ╷
91 │   Widget buildModalBarrier(BuildContext context, bool barrierDismissible) {
   │          ^^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/src/gesture_navigation/gesture_route_transition_mixin.dart

OK
Support up-to-date dependencies
20 / 20trigger folding of the section

10/10 points: All of the package dependencies are supported in the latest version

Package Constraint Compatible Latest
flutter flutter 0.0.0 0.0.0
Transitive dependencies
Package Constraint Compatible Latest
characters - 1.3.0 1.3.0
collection - 1.18.0 1.18.0
material_color_utilities - 0.8.0 0.11.1
meta - 1.12.0 1.15.0
sky_engine - 0.0.99 0.0.99
vector_math - 2.1.4 2.1.4

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

Analyzed with Pana 0.22.3, Flutter 3.22.0, Dart 3.4.0.

Check the analysis log for details.

3
likes
80
pub points
44%
popularity

Publisher

unverified uploader

Gesture handlers Flutter project provide reusable gesture handler and interactive transitions between routes.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

flutter

More

Packages that depend on gesture_handlers